%define oname   dose3
%define name    ocaml-%{oname}
%define version 3.1.3
%define release %mkrel 2

Summary: Framework for managing distribution packages and their dependencies
Name:    %{name}
Version: %{version}
Release: %{release}
Source0: http://gforge.inria.fr/frs/download.php/31681/%{oname}-%{version}.tar.gz
Patch0:	 dose3-3.0.2-fix-ocamlbuild-for-pack-in-ocaml-4.0.patch
License: LGPLv2 with linking exception
Group:   Development/OCaml
Url:     http://www.mancoosi.org/software/

BuildRequires: ocaml-compiler
BuildRequires: ocaml-findlib
BuildRequires: ocaml-extlib-devel
BuildRequires: ocaml-pcre-devel
BuildRequires: camlp4-devel
# BuildRequires: ocaml-sqlite-devel ocaml-json-static
BuildRequires: ocaml-camlbz2-devel
BuildRequires: ocaml-camlzip-devel
BuildRequires: ocaml-expat-devel
BuildRequires: ocaml-benchmark-devel
BuildRequires: ocaml-ocamlgraph-devel
BuildRequires: ocaml-curl-devel
BuildRequires: ocaml-xml-light-devel
BuildRequires: ocaml-ounit-devel
BuildRequires: librpm-devel
BuildRequires: ocaml-cudf-devel
BuildRequires: curl-devel
Requires: ocaml-extlib
Requires: ocaml-pcre
Requires: ocaml-camlbz2-devel
Requires: ocaml-camlzip-devel
Requires: ocaml-expat
Requires: ocaml-curl
Requires: ocaml-ounit
Requires: ocaml-ocamlgraph
Requires: ocaml-cudf
Requires: librpm-devel


%description
Dose3 is a framework made of several OCaml libraries for
managing distribution packages and their dependencies.

Though not tied to any particular distribution, dose3 constitutes a pool of
libraries which enable analyzing packages coming from various
distributions.

Besides basic functionalities for querying and setting package properties,
dose3 also implements algorithms for solving more complex problems
(monitoring package evolutions, correct and complete dependency resolution,
repository-wide uninstallability checks).

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.
Requires: ocaml-extlib-devel
Requires: ocaml-pcre-devel
Requires: ocaml-expat-devel
Requires: ocaml-curl-devel
Requires: ocaml-ounit-devel
Requires: ocaml-ocamlgraph-devel
Requires: ocaml-cudf-devel


%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1

%build
./configure --libdir=%{_libdir} \
            --with-xml \
            --with-curl \
            --with-ocamlgraph \
            --with-zip \
            --with-oUnit \
            --with-bz2 \
            --with-rpm4
#            --with-sqlite \
make

%check
# Tests fail for some reason
# make test

%install
make install LIBDIR=%{buildroot}/%{_libdir}/ocaml BINDIR=%{buildroot}/%{_bindir}
rm -f %{buildroot}/%{_libdir}/ocaml/dose3/*.{cm,}o
rm -f %{buildroot}/%{_libdir}/ocaml/dose3/*.ml{.depends,}
cd doc/manpages
for man in *.?; do
    install -m644 $man -D %{buildroot}%{_mandir}/man1/$man
done
cd ../..
cp META %{buildroot}%{_libdir}/ocaml/dose3

# Fix dangling links
rm -f %{buildroot}%{_bindir}/rpmcheck
rm -f %{buildroot}%{_bindir}/debcheck
rm -f %{buildroot}%{_bindir}/eclipsecheck
ln -s %{_bindir}/distcheck %{buildroot}%{_bindir}/rpmcheck
ln -s %{_bindir}/distcheck %{buildroot}%{_bindir}/debcheck
ln -s %{_bindir}/distcheck %{buildroot}%{_bindir}/eclipsecheck

%files
%dir %{_libdir}/ocaml/dose3
%doc COPYING
%{_bindir}/apt-cudf
%{_bindir}/ceve
%{_bindir}/challenged
%{_bindir}/debcheck
%{_bindir}/dominators-graph
%{_bindir}/rpmcheck
%{_bindir}/outdated
%{_bindir}/eclipsecheck
%{_bindir}/deb-buildcheck
%{_bindir}/distcheck
%{_bindir}/smallworld
%{_bindir}/strong-deps
%{_mandir}/man1/apt-cudf.1*
%{_mandir}/man1/apt-cudf-get.8*
%{_mandir}/man1/apt-cudf.conf.5*
%{_mandir}/man1/ceve.1*
%{_mandir}/man1/buildcheck.1*
%{_mandir}/man1/distcheck.1*
%{_mandir}/man1/outdated.1*
%{_mandir}/man1/challenged.1*
%{_mandir}/man1/strongdeps.1*
%{_mandir}/man1/smallworld.1*
%{_libdir}/ocaml/dose3/META
%{_libdir}/ocaml/dose3/*.cma
%{_libdir}/ocaml/dose3/*.cmi
%{_libdir}/ocaml/dose3/*.cmxs
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc README.architecture TODO
%{_libdir}/ocaml/dose3/*.a
%{_libdir}/ocaml/dose3/*.cmxa
%{_libdir}/ocaml/dose3/*.mli


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.1.3-2.mga3
+ Revision: 361288
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 malo <malo> 3.1.3-1.mga3
+ Revision: 338248
- new version 3.1.3

* Thu Jan 03 2013 malo <malo> 3.0.2-6.mga3
+ Revision: 338230
- add patch to fix build due to wrong ocamlbuild for-pack directive

  + tv <tv>
    - rebuild for new rpm

  + blue_prawn <blue_prawn>
    - patch to use extlib-1.5.3
    - new rpm group for ocaml
    - new rpm group for ocaml

  + fwang <fwang>
    - rebuild for new pcre

* Fri Sep 14 2012 malo <malo> 3.0.2-2.mga3
+ Revision: 293883
- fix dangling links (mga#7448)

* Sun Sep 02 2012 malo <malo> 3.0.2-1.mga3
+ Revision: 287316
- new version 3.0.2
- add missing requires for the devel package

* Sat Aug 04 2012 malo <malo> 2.9.10-5.mga3
+ Revision: 278501
- fix requires and buildrequires

* Sun Jun 10 2012 tv <tv> 2.9.10-4.mga3
+ Revision: 259382
- rebuild for new rpm-4.10.0

* Sat Feb 18 2012 malo <malo> 2.9.10-3.mga2
+ Revision: 210169
- renaming requires to ocaml-cudf

* Fri Feb 17 2012 malo <malo> 2.9.10-2.mga2
+ Revision: 210100
- missing requires

* Tue Feb 07 2012 malo <malo> 2.9.10-1.mga2
+ Revision: 205652
- new version 2.9.10
- spec clean-up
- updated file install and list
- new version 2.9.9

* Thu Oct 27 2011 malo <malo> 2.9.8-1.mga2
+ Revision: 158716
- Missing BuildRequires
- new version 2.9.8
- spec rewrite

* Tue Apr 12 2011 ennael <ennael> 2.9.2-2.2457.2.mga1
+ Revision: 83709
- remove deps on dose2

* Tue Apr 12 2011 ennael <ennael> 2.9.2-2.2457.1.mga1
+ Revision: 83661
- fix release tag
- remove rpm5 patch
- clean mdv macros
- imported package ocaml-dose3

